Bug 872883 - Un-bundle Qextserialport
Un-bundle Qextserialport
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qlandkartegt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: qextserialport
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2012-11-03 19:44 EDT by Volker Fröhlich
Modified: 2014-03-25 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: qlandkartegt-1.7.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 18:09:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Use system qextserialport instead of bundled one (5.78 KB, patch)
2014-03-21 13:38 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Volker Fröhlich 2012-11-03 19:44:42 EDT
Qlandkartegt uses a bundled copy of Qextserialport.

Qextserialport is currently on review. As soon as it is allowed into Fedora, this should be resolved.
Comment 1 Dan Horák 2012-11-15 15:00:08 EST
seems to be harder than originally expected, because an older version is bundled and the code depends on it
Comment 2 Fedora End Of Life 2013-04-03 15:16:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Ville Skyttä 2014-03-21 13:38:28 EDT
Created attachment 877406 [details]
Use system qextserialport instead of bundled one

Here's a quick stab at it, build tested only. Let me know if you'd like me to push and build this for devel.
Comment 4 Dan Horák 2014-03-21 14:04:08 EDT
Thanks for the patch, but I already have some patches in the queue, I still need make them upstreamable before committing.
Comment 5 Kevin Kofler 2014-03-21 17:38:36 EDT
Unbundling patches need not be upstreamable. You're supposed to proceed with the unbundling as soon as it is possible in Fedora.
Comment 6 Dan Horák 2014-03-23 10:58:23 EDT
upstreamble version sent as https://sourceforge.net/p/qlandkartegt/mailman/message/32134896/
Comment 7 Dan Horák 2014-03-25 18:09:58 EDT
(In reply to Dan Horák from comment #6)
> upstreamble version sent as
> https://sourceforge.net/p/qlandkartegt/mailman/message/32134896/

patch got merged into upstream

Note You need to log in before you can comment on or make changes to this bug.